Upstream information

CVE-2018-20126 at MITRE

Description

hw/rdma/vmw/pvrdma_cmd.c in QEMU allows create_cq and create_qp memory leaks because errors are mishandled.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:N/I:N/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 3.8
Vector CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:L
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Changed
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3 3.1
SUSE Bugzilla entry: 1119991 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-EC2-CHOST-HVM-BYOS
  • qemu-tools >= 2.11.2-9.33.1
Image SLES15-SP1-CHOST-BYOS-Azure
Image SLES15-SP1-CHOST-BYOS-EC2
Image SLES15-SP1-CHOST-BYOS-GCE
  • qemu-tools >= 3.1.1.1-9.6.2
SUSE Enterprise Storage 6
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • qemu >= 3.1.1.1-9.6.2
  • qemu-arm >= 3.1.1.1-9.6.2
  • qemu-audio-alsa >= 3.1.1.1-9.6.2
  • qemu-audio-oss >= 3.1.1.1-9.6.2
  • qemu-audio-pa >= 3.1.1.1-9.6.2
  • qemu-block-curl >= 3.1.1.1-9.6.2
  • qemu-block-iscsi >= 3.1.1.1-9.6.2
  • qemu-block-rbd >= 3.1.1.1-9.6.2
  • qemu-block-ssh >= 3.1.1.1-9.6.2
  • qemu-guest-agent >= 3.1.1.1-9.6.2
  • qemu-ipxe >= 1.0.0+-9.6.2
  • qemu-kvm >= 3.1.1.1-9.6.2
  • qemu-lang >= 3.1.1.1-9.6.2
  • qemu-ppc >= 3.1.1.1-9.6.2
  • qemu-s390 >= 3.1.1.1-9.6.2
  • qemu-seabios >= 1.12.0-9.6.2
  • qemu-sgabios >= 8-9.6.2
  • qemu-tools >= 3.1.1.1-9.6.2
  • qemu-ui-curses >= 3.1.1.1-9.6.2
  • qemu-ui-gtk >= 3.1.1.1-9.6.2
  • qemu-vgabios >= 1.12.0-9.6.2
  • qemu-x86 >= 3.1.1.1-9.6.2
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA qemu-tools-3.1.0-7.1
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA qemu-3.1.0-7.1
SUSE-SLE-Module-Basesystem-15-SP1-2019-2955
SUSE-SLE-Module-Server-Applications-15-SP1-2019-2955
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • qemu >= 5.2.0-9.18
  • qemu-arm >= 5.2.0-9.18
  • qemu-audio-alsa >= 5.2.0-9.18
  • qemu-audio-pa >= 5.2.0-9.18
  • qemu-audio-spice >= 5.2.0-9.18
  • qemu-block-curl >= 5.2.0-9.18
  • qemu-block-iscsi >= 5.2.0-9.18
  • qemu-block-rbd >= 5.2.0-9.18
  • qemu-block-ssh >= 5.2.0-9.18
  • qemu-chardev-baum >= 5.2.0-9.18
  • qemu-chardev-spice >= 5.2.0-9.18
  • qemu-guest-agent >= 5.2.0-9.18
  • qemu-hw-display-qxl >= 5.2.0-9.18
  • qemu-hw-display-virtio-gpu >= 5.2.0-9.18
  • qemu-hw-display-virtio-gpu-pci >= 5.2.0-9.18
  • qemu-hw-display-virtio-vga >= 5.2.0-9.18
  • qemu-hw-s390x-virtio-gpu-ccw >= 5.2.0-9.18
  • qemu-hw-usb-redirect >= 5.2.0-9.18
  • qemu-ipxe >= 1.0.0+-9.18
  • qemu-ksm >= 5.2.0-9.18
  • qemu-kvm >= 5.2.0-9.18
  • qemu-lang >= 5.2.0-9.18
  • qemu-ppc >= 5.2.0-9.18
  • qemu-s390x >= 5.2.0-9.18
  • qemu-seabios >= 1.14.0_0_g155821a-9.18
  • qemu-sgabios >= 8-9.18
  • qemu-skiboot >= 5.2.0-9.18
  • qemu-tools >= 5.2.0-9.18
  • qemu-ui-curses >= 5.2.0-9.18
  • qemu-ui-gtk >= 5.2.0-9.18
  • qemu-ui-opengl >= 5.2.0-9.18
  • qemu-ui-spice-app >= 5.2.0-9.18
  • qemu-ui-spice-core >= 5.2.0-9.18
  • qemu-vgabios >= 1.14.0_0_g155821a-9.18
  • qemu-x86 >= 5.2.0-9.18
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA qemu-tools-5.2.0-9.18
SUSE Linux Enterprise Module for Server Applications 15 SP3 GA qemu-5.2.0-9.18
SUSE Enterprise Storage 7
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • qemu >= 4.2.0-9.4
  • qemu-arm >= 4.2.0-9.4
  • qemu-audio-alsa >= 4.2.0-9.4
  • qemu-audio-oss >= 3.1.1.1-9.21.4
  • qemu-audio-pa >= 4.2.0-9.4
  • qemu-block-curl >= 4.2.0-9.4
  • qemu-block-iscsi >= 4.2.0-9.4
  • qemu-block-rbd >= 4.2.0-9.4
  • qemu-block-ssh >= 4.2.0-9.4
  • qemu-guest-agent >= 4.2.0-9.4
  • qemu-ipxe >= 1.0.0+-9.4
  • qemu-kvm >= 4.2.0-9.4
  • qemu-lang >= 4.2.0-9.4
  • qemu-microvm >= 4.2.0-9.4
  • qemu-ppc >= 4.2.0-9.4
  • qemu-s390 >= 4.2.0-9.4
  • qemu-seabios >= 1.12.1+-9.4
  • qemu-sgabios >= 8-9.4
  • qemu-tools >= 4.2.0-9.4
  • qemu-ui-curses >= 4.2.0-9.4
  • qemu-ui-gtk >= 4.2.0-9.4
  • qemu-ui-spice-app >= 4.2.0-9.4
  • qemu-vgabios >= 1.12.1+-9.4
  • qemu-x86 >= 4.2.0-9.4
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA qemu-tools-4.2.0-9.4
SUSE Linux Enterprise Module for Server Applications 15 SP2 GA qemu-4.2.0-9.4
SUSE Linux Enterprise Module for Server Applications 15 SP2 GA qemu-audio-oss-3.1.1.1-9.21.4
SUSE Linux Enterprise Desktop 12 SP4
  • qemu >= 2.11.2-5.23.2
  • qemu-block-curl >= 2.11.2-5.23.2
  • qemu-ipxe >= 1.0.0+-5.23.2
  • qemu-kvm >= 2.11.2-5.23.2
  • qemu-seabios >= 1.11.0-5.23.2
  • qemu-sgabios >= 8-5.23.2
  • qemu-tools >= 2.11.2-5.23.2
  • qemu-vgabios >= 1.11.0-5.23.2
  • qemu-x86 >= 2.11.2-5.23.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-2956
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • qemu-tools >= 3.1.1.1-9.6.2
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA qemu-tools-3.1.0-7.1
SUSE-SLE-Module-Basesystem-15-SP1-2019-2955
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • qemu-tools >= 4.2.0-9.4
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA qemu-tools-4.2.0-9.4
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • qemu-tools >= 5.2.0-9.18
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA qemu-tools-5.2.0-9.18
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
  • qemu-tools >= 6.2.0-150400.35.10
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA qemu-tools-6.2.0-150400.35.10
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise Module for Basesystem 15
  • qemu-tools >= 2.11.2-9.33.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-2954
SUSE Linux Enterprise High Performance Computing 12 SP5
  • qemu >= 3.1.1.1-1.1
  • qemu-arm >= 3.1.1.1-1.1
  • qemu-block-curl >= 3.1.1.1-1.1
  • qemu-block-iscsi >= 3.1.1.1-1.1
  • qemu-block-rbd >= 3.1.1.1-1.1
  • qemu-block-ssh >= 3.1.1.1-1.1
  • qemu-guest-agent >= 3.1.1.1-1.1
  • qemu-ipxe >= 1.0.0+-1.1
  • qemu-kvm >= 3.1.1.1-1.1
  • qemu-lang >= 3.1.1.1-1.1
  • qemu-seabios >= 1.12.0-1.1
  • qemu-sgabios >= 8-1.1
  • qemu-tools >= 3.1.1.1-1.1
  • qemu-vgabios >= 1.12.0-1.1
  • qemu-x86 >= 3.1.1.1-1.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA qemu-3.1.1.1-1.1
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • qemu >= 6.2.0-150400.35.10
  • qemu-SLOF >= 6.2.0-150400.35.10
  • qemu-accel-tcg-x86 >= 6.2.0-150400.35.10
  • qemu-arm >= 6.2.0-150400.35.10
  • qemu-audio-alsa >= 6.2.0-150400.35.10
  • qemu-audio-pa >= 6.2.0-150400.35.10
  • qemu-audio-spice >= 6.2.0-150400.35.10
  • qemu-block-curl >= 6.2.0-150400.35.10
  • qemu-block-iscsi >= 6.2.0-150400.35.10
  • qemu-block-rbd >= 6.2.0-150400.35.10
  • qemu-block-ssh >= 6.2.0-150400.35.10
  • qemu-chardev-baum >= 6.2.0-150400.35.10
  • qemu-chardev-spice >= 6.2.0-150400.35.10
  • qemu-guest-agent >= 6.2.0-150400.35.10
  • qemu-hw-display-qxl >= 6.2.0-150400.35.10
  • qemu-hw-display-virtio-gpu >= 6.2.0-150400.35.10
  • qemu-hw-display-virtio-gpu-pci >= 6.2.0-150400.35.10
  • qemu-hw-display-virtio-vga >= 6.2.0-150400.35.10
  • qemu-hw-s390x-virtio-gpu-ccw >= 6.2.0-150400.35.10
  • qemu-hw-usb-host >= 6.2.0-150400.35.10
  • qemu-hw-usb-redirect >= 6.2.0-150400.35.10
  • qemu-ipxe >= 1.0.0+-150400.35.10
  • qemu-ksm >= 6.2.0-150400.35.10
  • qemu-kvm >= 6.2.0-150400.35.10
  • qemu-lang >= 6.2.0-150400.35.10
  • qemu-ppc >= 6.2.0-150400.35.10
  • qemu-s390x >= 6.2.0-150400.35.10
  • qemu-seabios >= 1.15.0_0_g2dd4b9b-150400.35.10
  • qemu-sgabios >= 8-150400.35.10
  • qemu-skiboot >= 6.2.0-150400.35.10
  • qemu-tools >= 6.2.0-150400.35.10
  • qemu-ui-curses >= 6.2.0-150400.35.10
  • qemu-ui-gtk >= 6.2.0-150400.35.10
  • qemu-ui-opengl >= 6.2.0-150400.35.10
  • qemu-ui-spice-app >= 6.2.0-150400.35.10
  • qemu-ui-spice-core >= 6.2.0-150400.35.10
  • qemu-vgabios >= 1.15.0_0_g2dd4b9b-150400.35.10
  • qemu-x86 >= 6.2.0-150400.35.10
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA qemu-tools-6.2.0-150400.35.10
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA qemu-6.2.0-150400.35.10
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • qemu >= 2.11.2-9.33.1
  • qemu-arm >= 2.11.2-9.33.1
  • qemu-block-curl >= 2.11.2-9.33.1
  • qemu-block-iscsi >= 2.11.2-9.33.1
  • qemu-block-rbd >= 2.11.2-9.33.1
  • qemu-block-ssh >= 2.11.2-9.33.1
  • qemu-guest-agent >= 2.11.2-9.33.1
  • qemu-ipxe >= 1.0.0+-9.33.1
  • qemu-kvm >= 2.11.2-9.33.1
  • qemu-lang >= 2.11.2-9.33.1
  • qemu-ppc >= 2.11.2-9.33.1
  • qemu-s390 >= 2.11.2-9.33.1
  • qemu-seabios >= 1.11.0-9.33.1
  • qemu-sgabios >= 8-9.33.1
  • qemu-tools >= 2.11.2-9.33.1
  • qemu-vgabios >= 1.11.0-9.33.1
  • qemu-x86 >= 2.11.2-9.33.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-2954
SUSE-SLE-Module-Server-Applications-15-2019-2954
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • qemu >= 3.1.1.1-9.6.2
  • qemu-arm >= 3.1.1.1-9.6.2
  • qemu-audio-alsa >= 3.1.1.1-9.6.2
  • qemu-audio-oss >= 3.1.1.1-9.6.2
  • qemu-audio-pa >= 3.1.1.1-9.6.2
  • qemu-block-curl >= 3.1.1.1-9.6.2
  • qemu-block-iscsi >= 3.1.1.1-9.6.2
  • qemu-block-rbd >= 3.1.1.1-9.6.2
  • qemu-block-ssh >= 3.1.1.1-9.6.2
  • qemu-guest-agent >= 3.1.1.1-9.6.2
  • qemu-ipxe >= 1.0.0+-9.6.2
  • qemu-kvm >= 3.1.1.1-9.6.2
  • qemu-lang >= 3.1.1.1-9.6.2
  • qemu-ppc >= 3.1.1.1-9.6.2
  • qemu-s390 >= 3.1.1.1-9.6.2
  • qemu-seabios >= 1.12.0-9.6.2
  • qemu-sgabios >= 8-9.6.2
  • qemu-ui-curses >= 3.1.1.1-9.6.2
  • qemu-ui-gtk >= 3.1.1.1-9.6.2
  • qemu-vgabios >= 1.12.0-9.6.2
  • qemu-x86 >= 3.1.1.1-9.6.2
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA qemu-3.1.0-7.1
SUSE-SLE-Module-Server-Applications-15-SP1-2019-2955
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • qemu >= 4.2.0-9.4
  • qemu-arm >= 4.2.0-9.4
  • qemu-audio-alsa >= 4.2.0-9.4
  • qemu-audio-oss >= 3.1.1.1-9.21.4
  • qemu-audio-pa >= 4.2.0-9.4
  • qemu-block-curl >= 4.2.0-9.4
  • qemu-block-iscsi >= 4.2.0-9.4
  • qemu-block-rbd >= 4.2.0-9.4
  • qemu-block-ssh >= 4.2.0-9.4
  • qemu-guest-agent >= 4.2.0-9.4
  • qemu-ipxe >= 1.0.0+-9.4
  • qemu-kvm >= 4.2.0-9.4
  • qemu-lang >= 4.2.0-9.4
  • qemu-microvm >= 4.2.0-9.4
  • qemu-ppc >= 4.2.0-9.4
  • qemu-s390 >= 4.2.0-9.4
  • qemu-seabios >= 1.12.1+-9.4
  • qemu-sgabios >= 8-9.4
  • qemu-ui-curses >= 4.2.0-9.4
  • qemu-ui-gtk >= 4.2.0-9.4
  • qemu-ui-spice-app >= 4.2.0-9.4
  • qemu-vgabios >= 1.12.1+-9.4
  • qemu-x86 >= 4.2.0-9.4
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP2 GA qemu-4.2.0-9.4
SUSE Linux Enterprise Module for Server Applications 15 SP2 GA qemu-audio-oss-3.1.1.1-9.21.4
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • qemu >= 5.2.0-9.18
  • qemu-arm >= 5.2.0-9.18
  • qemu-audio-alsa >= 5.2.0-9.18
  • qemu-audio-pa >= 5.2.0-9.18
  • qemu-audio-spice >= 5.2.0-9.18
  • qemu-block-curl >= 5.2.0-9.18
  • qemu-block-iscsi >= 5.2.0-9.18
  • qemu-block-rbd >= 5.2.0-9.18
  • qemu-block-ssh >= 5.2.0-9.18
  • qemu-chardev-baum >= 5.2.0-9.18
  • qemu-chardev-spice >= 5.2.0-9.18
  • qemu-guest-agent >= 5.2.0-9.18
  • qemu-hw-display-qxl >= 5.2.0-9.18
  • qemu-hw-display-virtio-gpu >= 5.2.0-9.18
  • qemu-hw-display-virtio-gpu-pci >= 5.2.0-9.18
  • qemu-hw-display-virtio-vga >= 5.2.0-9.18
  • qemu-hw-s390x-virtio-gpu-ccw >= 5.2.0-9.18
  • qemu-hw-usb-redirect >= 5.2.0-9.18
  • qemu-ipxe >= 1.0.0+-9.18
  • qemu-ksm >= 5.2.0-9.18
  • qemu-kvm >= 5.2.0-9.18
  • qemu-lang >= 5.2.0-9.18
  • qemu-ppc >= 5.2.0-9.18
  • qemu-s390x >= 5.2.0-9.18
  • qemu-seabios >= 1.14.0_0_g155821a-9.18
  • qemu-sgabios >= 8-9.18
  • qemu-skiboot >= 5.2.0-9.18
  • qemu-ui-curses >= 5.2.0-9.18
  • qemu-ui-gtk >= 5.2.0-9.18
  • qemu-ui-opengl >= 5.2.0-9.18
  • qemu-ui-spice-app >= 5.2.0-9.18
  • qemu-ui-spice-core >= 5.2.0-9.18
  • qemu-vgabios >= 1.14.0_0_g155821a-9.18
  • qemu-x86 >= 5.2.0-9.18
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP3 GA qemu-5.2.0-9.18
SUSE Linux Enterprise Module for Server Applications 15 SP4
  • qemu >= 6.2.0-150400.35.10
  • qemu-SLOF >= 6.2.0-150400.35.10
  • qemu-accel-tcg-x86 >= 6.2.0-150400.35.10
  • qemu-arm >= 6.2.0-150400.35.10
  • qemu-audio-alsa >= 6.2.0-150400.35.10
  • qemu-audio-pa >= 6.2.0-150400.35.10
  • qemu-audio-spice >= 6.2.0-150400.35.10
  • qemu-block-curl >= 6.2.0-150400.35.10
  • qemu-block-iscsi >= 6.2.0-150400.35.10
  • qemu-block-rbd >= 6.2.0-150400.35.10
  • qemu-block-ssh >= 6.2.0-150400.35.10
  • qemu-chardev-baum >= 6.2.0-150400.35.10
  • qemu-chardev-spice >= 6.2.0-150400.35.10
  • qemu-guest-agent >= 6.2.0-150400.35.10
  • qemu-hw-display-qxl >= 6.2.0-150400.35.10
  • qemu-hw-display-virtio-gpu >= 6.2.0-150400.35.10
  • qemu-hw-display-virtio-gpu-pci >= 6.2.0-150400.35.10
  • qemu-hw-display-virtio-vga >= 6.2.0-150400.35.10
  • qemu-hw-s390x-virtio-gpu-ccw >= 6.2.0-150400.35.10
  • qemu-hw-usb-host >= 6.2.0-150400.35.10
  • qemu-hw-usb-redirect >= 6.2.0-150400.35.10
  • qemu-ipxe >= 1.0.0+-150400.35.10
  • qemu-ksm >= 6.2.0-150400.35.10
  • qemu-kvm >= 6.2.0-150400.35.10
  • qemu-lang >= 6.2.0-150400.35.10
  • qemu-ppc >= 6.2.0-150400.35.10
  • qemu-s390x >= 6.2.0-150400.35.10
  • qemu-seabios >= 1.15.0_0_g2dd4b9b-150400.35.10
  • qemu-sgabios >= 8-150400.35.10
  • qemu-skiboot >= 6.2.0-150400.35.10
  • qemu-ui-curses >= 6.2.0-150400.35.10
  • qemu-ui-gtk >= 6.2.0-150400.35.10
  • qemu-ui-opengl >= 6.2.0-150400.35.10
  • qemu-ui-spice-app >= 6.2.0-150400.35.10
  • qemu-ui-spice-core >= 6.2.0-150400.35.10
  • qemu-vgabios >= 1.15.0_0_g2dd4b9b-150400.35.10
  • qemu-x86 >= 6.2.0-150400.35.10
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA qemu-6.2.0-150400.35.10
SUSE Linux Enterprise Module for Server Applications 15
  • qemu >= 2.11.2-9.33.1
  • qemu-arm >= 2.11.2-9.33.1
  • qemu-block-curl >= 2.11.2-9.33.1
  • qemu-block-iscsi >= 2.11.2-9.33.1
  • qemu-block-rbd >= 2.11.2-9.33.1
  • qemu-block-ssh >= 2.11.2-9.33.1
  • qemu-guest-agent >= 2.11.2-9.33.1
  • qemu-ipxe >= 1.0.0+-9.33.1
  • qemu-kvm >= 2.11.2-9.33.1
  • qemu-lang >= 2.11.2-9.33.1
  • qemu-ppc >= 2.11.2-9.33.1
  • qemu-s390 >= 2.11.2-9.33.1
  • qemu-seabios >= 1.11.0-9.33.1
  • qemu-sgabios >= 8-9.33.1
  • qemu-vgabios >= 1.11.0-9.33.1
  • qemu-x86 >= 2.11.2-9.33.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2019-2954
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • qemu >= 2.11.2-5.23.2
  • qemu-arm >= 2.11.2-5.23.2
  • qemu-block-curl >= 2.11.2-5.23.2
  • qemu-block-iscsi >= 2.11.2-5.23.2
  • qemu-block-rbd >= 2.11.2-5.23.2
  • qemu-block-ssh >= 2.11.2-5.23.2
  • qemu-guest-agent >= 2.11.2-5.23.2
  • qemu-ipxe >= 1.0.0+-5.23.2
  • qemu-kvm >= 2.11.2-5.23.2
  • qemu-lang >= 2.11.2-5.23.2
  • qemu-ppc >= 2.11.2-5.23.2
  • qemu-s390 >= 2.11.2-5.23.2
  • qemu-seabios >= 1.11.0-5.23.2
  • qemu-sgabios >= 8-5.23.2
  • qemu-tools >= 2.11.2-5.23.2
  • qemu-vgabios >= 1.11.0-5.23.2
  • qemu-x86 >= 2.11.2-5.23.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-2956
SUSE Linux Enterprise Server 12 SP5
  • qemu >= 3.1.1.1-1.1
  • qemu-arm >= 3.1.1.1-1.1
  • qemu-block-curl >= 3.1.1.1-1.1
  • qemu-block-iscsi >= 3.1.1.1-1.1
  • qemu-block-rbd >= 3.1.1.1-1.1
  • qemu-block-ssh >= 3.1.1.1-1.1
  • qemu-guest-agent >= 3.1.1.1-1.1
  • qemu-ipxe >= 1.0.0+-1.1
  • qemu-kvm >= 3.1.1.1-1.1
  • qemu-lang >= 3.1.1.1-1.1
  • qemu-ppc >= 3.1.1.1-1.1
  • qemu-s390 >= 3.1.1.1-1.1
  • qemu-seabios >= 1.12.0-1.1
  • qemu-sgabios >= 8-1.1
  • qemu-tools >= 3.1.1.1-1.1
  • qemu-vgabios >= 1.12.0-1.1
  • qemu-x86 >= 3.1.1.1-1.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA qemu-3.1.1.1-1.1
openSUSE Leap 15.0
  • qemu >= 2.11.2-lp150.7.28.1
  • qemu-arm >= 2.11.2-lp150.7.28.1
  • qemu-block-curl >= 2.11.2-lp150.7.28.1
  • qemu-block-dmg >= 2.11.2-lp150.7.28.1
  • qemu-block-gluster >= 2.11.2-lp150.7.28.1
  • qemu-block-iscsi >= 2.11.2-lp150.7.28.1
  • qemu-block-rbd >= 2.11.2-lp150.7.28.1
  • qemu-block-ssh >= 2.11.2-lp150.7.28.1
  • qemu-extra >= 2.11.2-lp150.7.28.1
  • qemu-guest-agent >= 2.11.2-lp150.7.28.1
  • qemu-ipxe >= 1.0.0+-lp150.7.28.1
  • qemu-ksm >= 2.11.2-lp150.7.28.1
  • qemu-kvm >= 2.11.2-lp150.7.28.1
  • qemu-lang >= 2.11.2-lp150.7.28.1
  • qemu-ppc >= 2.11.2-lp150.7.28.1
  • qemu-s390 >= 2.11.2-lp150.7.28.1
  • qemu-seabios >= 1.11.0-lp150.7.28.1
  • qemu-sgabios >= 8-lp150.7.28.1
  • qemu-tools >= 2.11.2-lp150.7.28.1
  • qemu-vgabios >= 1.11.0-lp150.7.28.1
  • qemu-x86 >= 2.11.2-lp150.7.28.1
Patchnames:
openSUSE-2019-2505
openSUSE Leap 15.1
  • qemu >= 3.1.1.1-lp151.7.6.1
  • qemu-arm >= 3.1.1.1-lp151.7.6.1
  • qemu-audio-alsa >= 3.1.1.1-lp151.7.6.1
  • qemu-audio-oss >= 3.1.1.1-lp151.7.6.1
  • qemu-audio-pa >= 3.1.1.1-lp151.7.6.1
  • qemu-audio-sdl >= 3.1.1.1-lp151.7.6.1
  • qemu-block-curl >= 3.1.1.1-lp151.7.6.1
  • qemu-block-dmg >= 3.1.1.1-lp151.7.6.1
  • qemu-block-gluster >= 3.1.1.1-lp151.7.6.1
  • qemu-block-iscsi >= 3.1.1.1-lp151.7.6.1
  • qemu-block-nfs >= 3.1.1.1-lp151.7.6.1
  • qemu-block-rbd >= 3.1.1.1-lp151.7.6.1
  • qemu-block-ssh >= 3.1.1.1-lp151.7.6.1
  • qemu-extra >= 3.1.1.1-lp151.7.6.1
  • qemu-guest-agent >= 3.1.1.1-lp151.7.6.1
  • qemu-ipxe >= 1.0.0+-lp151.7.6.1
  • qemu-ksm >= 3.1.1.1-lp151.7.6.1
  • qemu-kvm >= 3.1.1.1-lp151.7.6.1
  • qemu-lang >= 3.1.1.1-lp151.7.6.1
  • qemu-linux-user >= 3.1.1.1-lp151.7.6.1
  • qemu-ppc >= 3.1.1.1-lp151.7.6.1
  • qemu-s390 >= 3.1.1.1-lp151.7.6.1
  • qemu-seabios >= 1.12.0-lp151.7.6.1
  • qemu-sgabios >= 8-lp151.7.6.1
  • qemu-tools >= 3.1.1.1-lp151.7.6.1
  • qemu-ui-curses >= 3.1.1.1-lp151.7.6.1
  • qemu-ui-gtk >= 3.1.1.1-lp151.7.6.1
  • qemu-ui-sdl >= 3.1.1.1-lp151.7.6.1
  • qemu-vgabios >= 1.12.0-lp151.7.6.1
  • qemu-x86 >= 3.1.1.1-lp151.7.6.1
Patchnames:
openSUSE-2019-2510
openSUSE Leap 15.2
  • qemu >= 4.2.0-lp152.8.7
  • qemu-arm >= 4.2.0-lp152.8.1
  • qemu-block-curl >= 4.2.0-lp152.8.7
  • qemu-block-rbd >= 4.2.0-lp152.8.7
  • qemu-block-ssh >= 4.2.0-lp152.8.7
  • qemu-guest-agent >= 4.2.0-lp152.8.7
  • qemu-ipxe >= 1.0.0+-lp152.8.1
  • qemu-ksm >= 4.2.0-lp152.8.7
  • qemu-microvm >= 4.2.0-lp152.8.1
  • qemu-ppc >= 4.2.0-lp152.8.7
  • qemu-seabios >= 1.12.1+-lp152.8.1
  • qemu-sgabios >= 8-lp152.8.1
  • qemu-tools >= 4.2.0-lp152.8.7
  • qemu-ui-curses >= 4.2.0-lp152.8.7
  • qemu-ui-gtk >= 4.2.0-lp152.8.7
  • qemu-ui-sdl >= 4.2.0-lp152.8.7
  • qemu-ui-spice-app >= 4.2.0-lp152.8.7
  • qemu-vgabios >= 1.12.1+-lp152.8.1
  • qemu-x86 >= 4.2.0-lp152.8.7
Patchnames:
openSUSE Leap 15.2 GA qemu-4.2.0-lp152.8.1
openSUSE Leap 15.3
  • qemu >= 5.2.0-9.18
  • qemu-arm >= 5.2.0-9.18
  • qemu-audio-spice >= 5.2.0-9.18
  • qemu-block-curl >= 5.2.0-9.18
  • qemu-block-rbd >= 5.2.0-9.18
  • qemu-block-ssh >= 5.2.0-9.18
  • qemu-chardev-spice >= 5.2.0-9.18
  • qemu-guest-agent >= 5.2.0-9.18
  • qemu-hw-display-qxl >= 5.2.0-9.18
  • qemu-hw-display-virtio-gpu >= 5.2.0-9.18
  • qemu-hw-display-virtio-gpu-pci >= 5.2.0-9.18
  • qemu-hw-display-virtio-vga >= 5.2.0-9.18
  • qemu-hw-usb-redirect >= 5.2.0-9.18
  • qemu-hw-usb-smartcard >= 5.2.0-9.18
  • qemu-ipxe >= 1.0.0+-9.18
  • qemu-ksm >= 5.2.0-9.18
  • qemu-microvm >= 5.2.0-9.18
  • qemu-ppc >= 5.2.0-9.18
  • qemu-seabios >= 1.14.0_0_g155821a-9.18
  • qemu-sgabios >= 8-9.18
  • qemu-tools >= 5.2.0-9.18
  • qemu-ui-curses >= 5.2.0-9.18
  • qemu-ui-gtk >= 5.2.0-9.18
  • qemu-ui-opengl >= 5.2.0-9.18
  • qemu-ui-spice-app >= 5.2.0-9.18
  • qemu-ui-spice-core >= 5.2.0-9.18
  • qemu-vgabios >= 1.14.0_0_g155821a-9.18
  • qemu-x86 >= 5.2.0-9.18
Patchnames:
openSUSE Leap 15.3 GA qemu-5.2.0-9.18
openSUSE Leap 15.4
  • qemu >= 6.2.0-150400.35.10
  • qemu-SLOF >= 6.2.0-150400.35.10
  • qemu-accel-tcg-x86 >= 6.2.0-150400.35.10
  • qemu-arm >= 6.2.0-150400.35.10
  • qemu-audio-spice >= 6.2.0-150400.35.10
  • qemu-block-curl >= 6.2.0-150400.35.10
  • qemu-block-rbd >= 6.2.0-150400.35.10
  • qemu-chardev-spice >= 6.2.0-150400.35.10
  • qemu-guest-agent >= 6.2.0-150400.35.10
  • qemu-hw-display-qxl >= 6.2.0-150400.35.10
  • qemu-hw-display-virtio-gpu >= 6.2.0-150400.35.10
  • qemu-hw-display-virtio-gpu-pci >= 6.2.0-150400.35.10
  • qemu-hw-display-virtio-vga >= 6.2.0-150400.35.10
  • qemu-hw-usb-host >= 6.2.0-150400.35.10
  • qemu-hw-usb-redirect >= 6.2.0-150400.35.10
  • qemu-hw-usb-smartcard >= 6.2.0-150400.35.10
  • qemu-ipxe >= 1.0.0+-150400.35.10
  • qemu-ksm >= 6.2.0-150400.35.10
  • qemu-microvm >= 6.2.0-150400.35.10
  • qemu-ppc >= 6.2.0-150400.35.10
  • qemu-seabios >= 1.15.0_0_g2dd4b9b-150400.35.10
  • qemu-sgabios >= 8-150400.35.10
  • qemu-tools >= 6.2.0-150400.35.10
  • qemu-ui-curses >= 6.2.0-150400.35.10
  • qemu-ui-gtk >= 6.2.0-150400.35.10
  • qemu-ui-opengl >= 6.2.0-150400.35.10
  • qemu-ui-spice-app >= 6.2.0-150400.35.10
  • qemu-ui-spice-core >= 6.2.0-150400.35.10
  • qemu-vgabios >= 1.15.0_0_g2dd4b9b-150400.35.10
  • qemu-x86 >= 6.2.0-150400.35.10
Patchnames:
openSUSE Leap 15.4 GA qemu-6.2.0-150400.35.10
openSUSE Tumbleweed
  • qemu >= 6.1.0-32.1
  • qemu-accel-qtest >= 6.1.0-32.1
  • qemu-accel-tcg-x86 >= 6.1.0-32.1
  • qemu-arm >= 6.1.0-32.1
  • qemu-audio-alsa >= 6.1.0-32.1
  • qemu-audio-jack >= 6.1.0-32.1
  • qemu-audio-pa >= 6.1.0-32.1
  • qemu-audio-spice >= 6.1.0-32.1
  • qemu-block-curl >= 6.1.0-32.1
  • qemu-block-dmg >= 6.1.0-32.1
  • qemu-block-gluster >= 6.1.0-32.1
  • qemu-block-iscsi >= 6.1.0-32.1
  • qemu-block-nfs >= 6.1.0-32.1
  • qemu-block-rbd >= 6.1.0-32.1
  • qemu-block-ssh >= 6.1.0-32.1
  • qemu-chardev-baum >= 6.1.0-32.1
  • qemu-chardev-spice >= 6.1.0-32.1
  • qemu-extra >= 6.1.0-32.1
  • qemu-guest-agent >= 6.1.0-32.1
  • qemu-hw-display-qxl >= 6.1.0-32.1
  • qemu-hw-display-virtio-gpu >= 6.1.0-32.1
  • qemu-hw-display-virtio-gpu-pci >= 6.1.0-32.1
  • qemu-hw-display-virtio-vga >= 6.1.0-32.1
  • qemu-hw-s390x-virtio-gpu-ccw >= 6.1.0-32.1
  • qemu-hw-usb-host >= 6.1.0-32.1
  • qemu-hw-usb-redirect >= 6.1.0-32.1
  • qemu-hw-usb-smartcard >= 6.1.0-32.1
  • qemu-ipxe >= 1.0.0+-32.1
  • qemu-ivshmem-tools >= 6.1.0-32.1
  • qemu-ksm >= 6.1.0-32.1
  • qemu-kvm >= 6.1.0-32.1
  • qemu-lang >= 6.1.0-32.1
  • qemu-microvm >= 6.1.0-32.1
  • qemu-ppc >= 6.1.0-32.1
  • qemu-s390x >= 6.1.0-32.1
  • qemu-seabios >= 1.14.0_0_g155821a-32.1
  • qemu-sgabios >= 8-32.1
  • qemu-skiboot >= 6.1.0-32.1
  • qemu-tools >= 6.1.0-32.1
  • qemu-ui-curses >= 6.1.0-32.1
  • qemu-ui-gtk >= 6.1.0-32.1
  • qemu-ui-opengl >= 6.1.0-32.1
  • qemu-ui-spice-app >= 6.1.0-32.1
  • qemu-ui-spice-core >= 6.1.0-32.1
  • qemu-vgabios >= 1.14.0_0_g155821a-32.1
  • qemu-vhost-user-gpu >= 6.1.0-32.1
  • qemu-x86 >= 6.1.0-32.1
Patchnames:
openSUSE Tumbleweed GA qemu-6.1.0-32.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 qemu Not affected
SLES for SAP Applications kvm Not affected
SUSE CaaS Platform 3.0 qemu Not affected
SUSE CaaS Platform 4.0 qemu Already fixed
SUSE Container as a Service Platform 2.0 qemu Not affected
SUSE Enterprise Storage 6 qemu Released
SUSE Enterprise Storage 7 qemu Already fixed
SUSE Enterprise Storage 7.1 qemu Not affected
SUSE Linux Enterprise Desktop 11 SP4 qemu Not affected
SUSE Linux Enterprise Desktop 12 qemu Not affected
SUSE Linux Enterprise Desktop 12 SP2 qemu Not affected
SUSE Linux Enterprise Desktop 12 SP3 qemu Not affected
SUSE Linux Enterprise Desktop 12 SP4 qemu Released
SUSE Linux Enterprise Desktop 15 qemu Released
SUSE Linux Enterprise Desktop 15 SP1 qemu Released
SUSE Linux Enterprise Desktop 15 SP2 qemu Not affected
SUSE Linux Enterprise Desktop 15 SP3 qemu Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 qemu Released
SUSE Linux Enterprise High Performance Computing 12 SP5 qemu Already fixed
SUSE Linux Enterprise High Performance Computing 15 qemu Released
SUSE Linux Enterprise High Performance Computing 15 SP1 qemu Released
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS qemu Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS qemu Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 qemu Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 qemu Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS qemu Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS qemu Affected
SUSE Linux Enterprise Micro 5.0 qemu Not affected
SUSE Linux Enterprise Micro 5.1 qemu Not affected
SUSE Linux Enterprise Micro 5.2 qemu Not affected
SUSE Linux Enterprise Module for Basesystem 15 qemu Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 qemu Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 qemu Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 qemu Not affected
SUSE Linux Enterprise Module for Server Applications 15 qemu Released
SUSE Linux Enterprise Module for Server Applications 15 SP1 qemu Released
SUSE Linux Enterprise Module for Server Applications 15 SP2 qemu Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP3 qemu Not affected
SUSE Linux Enterprise Point of Service 11 SP3 qemu Not affected
SUSE Linux Enterprise Real Time 15 SP2 qemu Not affected
SUSE Linux Enterprise Real Time 15 SP3 qemu Not affected
SUSE Linux Enterprise Server 11 SP3 kvm Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS kvm Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS kvm Not affected
SUSE Linux Enterprise Server 11 SP4 kvm Not affected
SUSE Linux Enterprise Server 11 SP4 qemu Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS kvm Not affected
SUSE Linux Enterprise Server 12 qemu Not affected
SUSE Linux Enterprise Server 12 SP2 qemu Not affected
SUSE Linux Enterprise Server 12 SP2-BCL qemu Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS qemu Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS qemu Not affected
SUSE Linux Enterprise Server 12 SP3 qemu Not affected
SUSE Linux Enterprise Server 12 SP3-BCL qemu Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS qemu Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS qemu Not affected
SUSE Linux Enterprise Server 12 SP4 qemu Released
SUSE Linux Enterprise Server 12 SP4-ESPOS qemu Affected
SUSE Linux Enterprise Server 12 SP4-LTSS qemu Affected
SUSE Linux Enterprise Server 12 SP5 qemu Already fixed
SUSE Linux Enterprise Server 12-LTSS qemu Not affected
SUSE Linux Enterprise Server 15 qemu Released
SUSE Linux Enterprise Server 15 SP1 qemu Released
SUSE Linux Enterprise Server 15 SP1-BCL qemu Affected
SUSE Linux Enterprise Server 15 SP1-LTSS qemu Already fixed
SUSE Linux Enterprise Server 15 SP2 qemu Already fixed
SUSE Linux Enterprise Server 15 SP2-BCL qemu Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS qemu Not affected
SUSE Linux Enterprise Server 15 SP3 qemu Not affected
SUSE Linux Enterprise Server 15-ESPOS qemu Affected
SUSE Linux Enterprise Server 15-LTSS qemu Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 qemu Already fixed
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 12 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 qemu Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 qemu Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 qemu Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 qemu Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 qemu Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 qemu Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 qemu Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 qemu Not affected
SUSE Manager Proxy 4.0 qemu Released
SUSE Manager Proxy 4.1 qemu Already fixed
SUSE Manager Proxy 4.2 qemu Not affected
SUSE Manager Retail Branch Server 4.0 qemu Released
SUSE Manager Retail Branch Server 4.1 qemu Already fixed
SUSE Manager Retail Branch Server 4.2 qemu Not affected
SUSE Manager Server 4.0 qemu Released
SUSE Manager Server 4.1 qemu Already fixed
SUSE Manager Server 4.2 qemu Not affected
SUSE OpenStack Cloud 7 qemu Not affected
SUSE OpenStack Cloud 8 qemu Not affected
SUSE OpenStack Cloud 9 qemu Affected
SUSE OpenStack Cloud Crowbar 8 qemu Not affected
SUSE OpenStack Cloud Crowbar 9 qemu Affected
SUSE Studio Onsite 1.3 qemu Not affected
suse/sles/15.2/virt-launcher:0.38.1
suse/sles/15.3/libguestfs-tools:0.45.0
suse/sles/15.3/virt-launcher:0.45.0
qemuNot affected


SUSE Timeline for this CVE

CVE page created: Wed Dec 19 11:58:30 2018
CVE page last modified: Wed Dec 7 16:43:12 2022